Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Remote_Name_Space Class Reference

Maintaining accesses Remote Name Server Database. Allows to add NameBindings, change them, remove them and resolve NameBindings. More...

`#include <Remote_Name_Space.h>`

Inheritance diagram for ACE_Remote_Name_Space:

[legend]
Collaboration diagram for ACE_Remote_Name_Space:

[legend]
List of all members.

## Public Methods
| ACE_Remote_Name_Space (void)
| "Do-nothing" constructor. More...
| ACE_Remote_Name_Space (const ACE_TCHAR *hostname, u_short port)
| Specifies the scope of this namespace, opens and memory-maps the associated file (if accessible) or contacts the dedicated name server process for NET_LOCAL namespace. More...
int | open (const ACE_TCHAR *servername, u_short port)
| Specifies the scope of this namespace, opens and memory-maps the associated file (if accessible) or contacts the dedicated name server process for NET_LOCAL namespace. More...
| ~ACE_Remote_Name_Space (void)
| destructor, do some cleanup :TBD: last dtor should "compress" file. More...
virtual int | bind (const ACE_NS_WString &name_in, const ACE_NS_WString &value_in, const char *type_in="")
| Bind a new name to a naming context (Wide character strings). More...
virtual int | rebind (const ACE_NS_WString &name_in, const ACE_NS_WString &value_in, const char *type_in="")
| Overwrite the value or type of an existing name in a ACE_Remote_Name_Space or bind a new name to the context, if it didn't exist yet. More...
virtual int | unbind (const ACE_NS_WString &name_in)
| Delete a name from a ACE_Remote_Name_Space (Wide charcter strings Interface). More...
virtual int | resolve (const ACE_NS_WString &name_in, ACE_NS_WString &value_out, char *&type_out)
| Get value and type of a given name binding (Wide chars). The caller is responsible for deleting both <value_out> and <type_out>! More...
virtual int | list_names (ACE_WSTRING_SET &set_out, const ACE_NS_WString &pattern_in)
| Get a set of names matching a specified pattern (wchars). Matching means the names must begin with the pattern string. More...
virtual int | list_values (ACE_WSTRING_SET &set_out, const ACE_NS_WString &pattern_in)
| Get a set of values matching a specified pattern (wchars). Matching means the values must begin with the pattern string. More...
virtual int | list_types (ACE_WSTRING_SET &set_out, const ACE_NS_WString &pattern_in)
| Get a set of types matching a specified pattern (wchars). Matching means the types must begin with the pattern string. More...
virtual int | list_name_entries (ACE_BINDING_SET &set, const ACE_NS_WString &pattern)
| Get a set of names matching a specified pattern (wchars). More...
virtual int | list_value_entries (ACE_BINDING_SET &set, const ACE_NS_WString &pattern)
| Get a set of values matching a specified pattern (wchars). More...
virtual int | list_type_entries (ACE_BINDING_SET &set, const ACE_NS_WString &pattern)
| Get a set of types matching a specified pattern (wchars). More...
virtual void | dump (void) const
| Dump the state of the object. More...
## Private Attributes
ACE_Name_Proxy | ns_proxy_
| Interface to Name server process for NET_LOCAL namespace. More...

## Detailed Description

Maintaining accesses Remote Name Server Database. Allows to add NameBindings, change them, remove them and resolve NameBindings.

Manages a Naming Service for a remote name space which includes bindings for net_local naming context. All strings are stored in wide character format. A Name Binding consists of a name (that's the key), a value string and an optional type string (no wide chars).

## Constructor & Destructor Documentation

ACE_Remote_Name_Space::ACE_Remote_Name_Space | ( | void |  | ) |

| "Do-nothing" constructor.

ACE_Remote_Name_Space::ACE_Remote_Name_Space | ( | const ACE_TCHAR * | hostname,
|  | u_short | port
| ) |

| Specifies the scope of this namespace, opens and memory-maps the associated file (if accessible) or contacts the dedicated name server process for NET_LOCAL namespace.

ACE_Remote_Name_Space::~ACE_Remote_Name_Space | ( | void |  | ) |

| destructor, do some cleanup :TBD: last dtor should "compress" file.

## Member Function Documentation

int ACE_Remote_Name_Space::bind | ( | const ACE_NS_WString & | name,
|  | const ACE_NS_WString & | value,
|  | const char * | type = ""
| ) | `[virtual]`

| Bind a new name to a naming context (Wide character strings). Reimplemented from ACE_Name_Space.

void ACE_Remote_Name_Space::dump | ( | void |  | ) | const`[virtual]`

| Dump the state of the object. Reimplemented from ACE_Name_Space.

int ACE_Remote_Name_Space::list_name_entries | ( | ACE_BINDING_SET & | set,
|  | const ACE_NS_WString & | pattern
| ) | `[virtual]`

| Get a set of names matching a specified pattern (wchars). Matching means the names must begin with the pattern string. Returns the complete binding associated each pattern match. Reimplemented from ACE_Name_Space.

int ACE_Remote_Name_Space::list_names | ( | ACE_WSTRING_SET & | set,
|  | const ACE_NS_WString & | pattern
| ) | `[virtual]`

| Get a set of names matching a specified pattern (wchars). Matching means the names must begin with the pattern string. Reimplemented from ACE_Name_Space.

int ACE_Remote_Name_Space::list_type_entries | ( | ACE_BINDING_SET & | set,
|  | const ACE_NS_WString & | pattern
| ) | `[virtual]`

| Get a set of types matching a specified pattern (wchars). Matching means the types must begin with the pattern string. Returns the complete binding associated each pattern match. Reimplemented from ACE_Name_Space.

int ACE_Remote_Name_Space::list_types | ( | ACE_WSTRING_SET & | set,
|  | const ACE_NS_WString & | pattern
| ) | `[virtual]`

| Get a set of types matching a specified pattern (wchars). Matching means the types must begin with the pattern string. Reimplemented from ACE_Name_Space.

int ACE_Remote_Name_Space::list_value_entries | ( | ACE_BINDING_SET & | set,
|  | const ACE_NS_WString & | pattern
| ) | `[virtual]`

| Get a set of values matching a specified pattern (wchars). Matching means the values must begin with the pattern string. Returns the complete binding associated each pattern match. Reimplemented from ACE_Name_Space.

int ACE_Remote_Name_Space::list_values | ( | ACE_WSTRING_SET & | set,
|  | const ACE_NS_WString & | pattern
| ) | `[virtual]`

| Get a set of values matching a specified pattern (wchars). Matching means the values must begin with the pattern string. Reimplemented from ACE_Name_Space.

int ACE_Remote_Name_Space::open | ( | const ACE_TCHAR * | servername,
|  | u_short | port
| ) |

| Specifies the scope of this namespace, opens and memory-maps the associated file (if accessible) or contacts the dedicated name server process for NET_LOCAL namespace.

int ACE_Remote_Name_Space::rebind | ( | const ACE_NS_WString & | name,
|  | const ACE_NS_WString & | value,
|  | const char * | type = ""
| ) | `[virtual]`

| Overwrite the value or type of an existing name in a ACE_Remote_Name_Space or bind a new name to the context, if it didn't exist yet. (Wide charcter strings interface). Reimplemented from ACE_Name_Space.

int ACE_Remote_Name_Space::resolve | ( | const ACE_NS_WString & | name,
|  | ACE_NS_WString & | value,
|  | char *& | type
| ) | `[virtual]`

| Get value and type of a given name binding (Wide chars). The caller is responsible for deleting both <value_out> and <type_out>! Reimplemented from ACE_Name_Space.

int ACE_Remote_Name_Space::unbind | ( | const ACE_NS_WString & | name | ) | `[virtual]`

| Delete a name from a ACE_Remote_Name_Space (Wide charcter strings Interface). Reimplemented from ACE_Name_Space.

## Member Data Documentation

ACE_Name_Proxy ACE_Remote_Name_Space::ns_proxy_`[private]`

| Interface to Name server process for NET_LOCAL namespace.

The documentation for this class was generated from the following files:

- Remote_Name_Space.h
- Remote_Name_Space.cpp